/**************************************
*   Patterned after 885TexUtil Header *
*                                     *
**********************************************************************************
*  Contains a bitmap class for loading and/or drawing bitmap data                *
*                                                                                *
*  CreateTexObject(...)                                                          *
*    use: a function that abstracts the operations behind creating a texture     *
*         object from an image file                                              *
*    returns: a unique handle to a texture object                                *
*********************************************************************************/


//#define WIN32_LEAN_AND_MEAN		// trim the excess fat from Windows
#define BITMAP_ID 0x4D42		// the universal bitmap ID
#define FAIL 0x0000
#define SUCCESS 0x0001
#include <windows.h>	

class Bitmap {
  public:
    Bitmap();
    Bitmap(char* filename);
    void DrawBitmap(long rastx, long rasty);
    int LoadBitmapFile(char* filename);
    //unsigned char* getBitmapData();
	char* getBitmapData();
    long getHeight();
    long getWidth();
    ~Bitmap();
  private:
     ////// Bitmap Information
    BITMAPINFOHEADER	bitmapInfoHeader;		// bitmap info header
    BITMAPFILEHEADER	bitmapFileHeader;		// bitmap info header
    char*		bitmapData;			// the bitmap data
};

GLuint CreateTexObject(char* filename, GLenum minfilter, GLenum magfilter, GLenum wrap);



