#ifndef __EMOON_H
#define __EMOON_H

#define WIN32_LEAN_AND_MEAN
#define WIN32_EXTRA_LEAN

/*
	EMOON.H

	The CSphere class interface
*/

#include <windows.h>
#include <gl/gl.h>
#include <gl/glu.h>

#include "camera.h"
#include "object.h"
#include "vector.h"


class EMoon : public CObject
{

private:
	float CurrentAngle;       // retain variable name for consistency
    GLfloat RotationAngle;
	float x_translate;
	float y_translate;
	float z_translate;
	//int ColorIndex; replace with texture info
	GLfloat r;
    BOOL InitializeScene();

protected:
	void OnAnimate(scalar_t deltaTime);
	void OnDraw(CCamera *camera);
    void OnPrepare();

public:
	EMoon();

	EMoon(GLfloat rad, float rotangle, float xt, float yt, float zt);
  	
	~EMoon() {}

	void Load() {}
	void Unload() {}

};

#endif
