#define WIN32_LEAN_AND_MEAN	    // trim the excess fat from Windows
#ifndef CDS_FULLSCREEN			// CDS_FULLSCREEN Is Not Defined By Some
#define CDS_FULLSCREEN 4	    // Compilers. By Defining It This Way,
#endif	
//#ifndef PI
//#define PI 3.1415926535897932384626433832795f
//#endif
#ifndef DTOR
#define DTOR PI/180
#endif


#include <windows.h>					// standard Windows app include
#include <winuser.h>          // Windows constants
#include <gl/gl.h>						// standard OpenGL include
#include <gl/glu.h>						// OpenGL utilties
#include <stdlib.h>           // for random numbers
#include <math.h>
#include "mars.h"

GLUquadricObj *mars = NULL;

Mars::InitializeScene()
// InitializeScene
// initial settings for the GL rendering context
{
   // set the color for clearing the display to black
   glClearColor(0.0f, 0.0f, 0.0f, 0.0f);
   glEnable(GL_DEPTH_TEST);
   glEnable(GL_CULL_FACE);
   glCullFace(GL_BACK);

   mars = gluNewQuadric();
   gluQuadricOrientation(mars, GLU_INSIDE);
   gluQuadricDrawStyle(mars, GLU_FILL);
   gluQuadricNormals(mars, GLU_SMOOTH);
   return TRUE;
}   // end InitialScene
 
Mars::Mars(GLfloat rad, GLfloat rotangle, float xt, float yt, float zt)
{
	// CObject attributes
    CurrentAngle = 0.0;
    r = rad; 
	RotationAngle = rotangle;
	x_translate = xt;
	y_translate = yt;
	z_translate = zt;  


}


void Mars::OnPrepare()
{
}



void Mars::OnAnimate(scalar_t deltaTime)
{
  
  CurrentAngle += (10.0 * deltaTime);
  if (CurrentAngle >= 360.0f)
    {
		CurrentAngle = 0.0f;
    } 

}


void Mars::OnDraw(CCamera *camera)
{
    
	InitializeScene();
	glEnable(GL_DEPTH_TEST);
	//glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	//
	//glColor3f(VertexColors[ColorIndex][0],VertexColors[ColorIndex][1],VertexColors[ColorIndex][2]);
    glColor3f(1.0f,0.0f,0.0f);
	//
    glTranslatef(x_translate, y_translate, z_translate);
    glRotatef(90.0, 1.0f, 1.0f, 0.0f);
	glRotatef(CurrentAngle, 0.0f, 1.0f, 0.0f);

	gluSphere(mars, r, 20, 20); 

    glPointSize(3.0);

}

