#ifndef __SPHERE_H
#define __SPHERE_H

#define WIN32_LEAN_AND_MEAN
#define WIN32_EXTRA_LEAN

/*
	SPHERE.H

	The CSphere class interface
*/

#include <windows.h>
#include <gl/gl.h>
#include <gl/glu.h>

#include "camera.h"
#include "object.h"
//#include "texture.h"
#include "vector.h"

static float VertexColors[][10] =
	{
		{1.0, 0.0, 0.0},    //red
		{1.0, 1.0, 1.0},    // white
		{0.0, 1.0, 0.0},    // green
        {0.0, 0.0, 1.0},    // blue
		{1.0, 1.0, 0.0},    // yellow
        {0.0, 1.0, 1.0},    // cyan
        {1.0, 0.0, 1.0},    // magenta
        {0.5, 0.0, 0.0},    // darkred
        {0.0, 0.5, 0.0},    // darkgreen
        {0.0, 0.0, 0.5},    // darkblue
	};


class CSphere : public CObject
{

private:
	float CurrentAngle;
    GLfloat RotationAngle;
	float x_translate;
	float y_translate;
	float z_translate;
	int ColorIndex;
	GLfloat r;
    BOOL InitializeScene();

protected:
	void OnAnimate(scalar_t deltaTime);
	void OnDraw(CCamera *camera);
    void OnPrepare();

public:
	CSphere();

	CSphere(GLfloat rad, float rotangle, float xt, float yt, float zt);
  	
	~CSphere() {  }

	void Load() {}
	void Unload() {}

};

#endif
