#include "world.h"

// World light properties: diffuse, specular, position
float ambientLight[] = { 1.0f, 1.0f, 1.0f, 1.0f };	 
float diffuseLight[] = { 1.0f, 1.0f, 1.0f, 1.0f };
float specularLight[] = { 1.0f, 1.0f, 1.0f, 1.0f };	 
float lightPosition[] = { 0.0, 0.0, 1.0, 0.0 };

CWorld::~CWorld()
{
	//delete tetra;
	delete sun;
	//delete earth;
}

CWorld::CWorld(CCamera *c)
{
	camera = c;

	glEnable(GL_LIGHTING);
	glLightfv(GL_LIGHT0, GL_DIFFUSE, diffuseLight);
	glLightfv(GL_LIGHT0, GL_SPECULAR, specularLight);
	glLightfv(GL_LIGHT0, GL_POSITION, lightPosition);
    glEnable(GL_LIGHT0);
	glEnable(GL_COLOR_MATERIAL);
	glColorMaterial(GL_FRONT, GL_AMBIENT_AND_DIFFUSE);

	sun = new Sun(1.5,0,0.0,0.0,0.0);
	earth = new Earth(0.4,0,0.0,0.0,5.0);
    emoon = new EMoon(0.1,20,0.0,0.0,0.6);//white
	mars = new Mars(0.2,-33,0.0,0.0,8.0);//red
	mmoon = new MMoon(0.05,0,0.0,0.0,0.3);//white ;
	sun -> Attach(earth);
	sun -> Attach(mars);
	earth -> Attach(emoon);
	mars -> Attach(mmoon);
}

void CWorld::Animate(float deltaTime)
{
	sun -> Animate(deltaTime);
	earth -> Animate(deltaTime);
	emoon -> Animate(deltaTime);
	mars -> Animate(deltaTime);
	mmoon -> Animate(deltaTime);
	//sun -> Animate(deltaTime);
}

void CWorld::Draw(CCamera *camera)
{
    sun ->Draw(camera);
	//earth ->Draw(camera);
}

void CWorld::OnPrepare()
{

   glClearColor(0.0, 0.0, 0.0, 0.0);
   //tetra->Prepare();
}
